"""Cambios en la table usuarios y en la tabla talentos

Revision ID: 5742da6ac4ec
Revises: d25bcb22e43c
Create Date: 2022-03-15 17:17:12.182643

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import table, column


# revision identifiers, used by Alembic.
revision = '5742da6ac4ec'
down_revision = 'd25bcb22e43c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('revoked_tokens',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('jti', sa.String(length=120), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('talent', sa.Column('user_id', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'talent', 'users', ['user_id'], ['id'])
    op.add_column('users', sa.Column('email', sa.String(length=255), nullable=True))
    users = table('users', column('email'))
    op.execute(users.update().values(email="oldadmin@admin.com"))
    op.alter_column('users', 'email', nullable=False)
    op.create_unique_constraint(None, 'users', ['email'])
    op.drop_column('users', 'user_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('users', sa.Column('user_id', sa.VARCHAR(length=255), autoincrement=False, nullable=False))
    op.drop_constraint(None, 'users', type_='unique')
    op.drop_column('users', 'email')
    op.drop_constraint(None, 'talent', type_='foreignkey')
    op.drop_column('talent', 'user_id')
    op.drop_table('revoked_tokens')
    # ### end Alembic commands ###
